package com.uvigo.mhp.looks;

import java.beans.*;
import org.havi.ui.event.*;

public class HGraphicLook2BeanInfo extends SimpleBeanInfo
{
    public BeanDescriptor getBeanDescriptor()
    {
        BeanDescriptor bd=new BeanDescriptor(HGraphicLook2.class);
        return(bd);
    }
    
    public PropertyDescriptor[] getPropertyDescriptors()
    {
        try
        {
            PropertyDescriptor pd1 = new PropertyDescriptor("alignment", HGraphicLook2.class);
            PropertyDescriptor pd2 = new PropertyDescriptor("imagePosition", HGraphicLook2.class);
            PropertyDescriptor pd3 = new PropertyDescriptor("horizontalSpace", HGraphicLook2.class);
            PropertyDescriptor pd4 = new PropertyDescriptor("verticalSpace", HGraphicLook2.class);
            pd1.setBound(true);
            pd1.setPropertyEditorClass(HGraphicLook2AlignmentEditor.class);            
            pd2.setBound(true);
            pd2.setPropertyEditorClass(HGraphicLook2ImagePositionEditor.class);            
            pd3.setBound(true);
            pd4.setBound(true);
            return new PropertyDescriptor[]
            {pd1, pd2, pd3, pd4};
        }
        catch (Exception ex)
        {
            ex.printStackTrace();
            return null;
        }
    }
    
    public java.awt.Image getIcon(int iconKind)
    {
        return null;
    }
}
